#
# spec file for package linux-atm (Version 2.5.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           linux-atm
%define sover	1
BuildRequires:  bison flex glibc-devel
Url:            http://sourceforge.net/projects/linux-atm/
License:        BSD-3-Clause ; GPL-2.0+ ; LGPL-2.1+
Group:          Productivity/Networking/Other
Summary:        Tools for ATM
Version:        2.5.0
Release:        146
Source0:        linux-atm-%{version}.tar.bz2
Patch0:         linux-atm-%{version}.diff
Patch1:         linux-atm-2.5.0-include.patch
Patch2:         linux-atm-2.5.0-fdleak.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Tools to support ATM (Asynchronous Transfer Mode) networking.

%package -n libatm%sover


License:        BSD-3-Clause ; GPL-2.0+ ; LGPL-2.1+
Group:          System/Libraries
Summary:        Libraries for ATM

%description -n libatm%sover
Libraries for ATM (Asynchronous Transfer Mode) networking.

%package devel
License:        BSD-3-Clause ; GPL-2.0+ ; LGPL-2.1+
Group:          Development/Libraries/C and C++
Summary:        Development for ATM
Requires:       libatm%sover = %version

%description devel
Libraries and header files for ATM (Asynchronous Transfer Mode)
networking.

%prep
%setup -q -n linux-atm-%{version}
%patch0
%patch1 -p1
%patch2

%build
%{?suse_update_config}
%configure --disable-static
%{__make} %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
%{__rm} -rf %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -n libatm%sover -p /sbin/ldconfig

%postun -n libatm%sover -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config(noreplace) /etc/atmsigd.conf
/usr/bin/*
/usr/sbin/*
%doc README AUTHORS ChangeLog NEWS THANKS BUGS
%doc COPYING COPYING.GPL COPYING.LGPL
%doc %{_mandir}/man*/*.gz

%files -n libatm%sover
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*

%changelog
